"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configSet = void 0;
const path_1 = __importDefault(require("path"));
const read_ini_file_1 = require("read-ini-file");
const write_ini_file_1 = require("write-ini-file");
async function configSet(opts, key, value) {
    const configPath = opts.global ? path_1.default.join(opts.configDir, 'rc') : path_1.default.join(opts.dir, '.npmrc');
    const settings = await safeReadIniFile(configPath);
    if (value == null) {
        if (settings[key] == null)
            return;
        delete settings[key];
    }
    else {
        settings[key] = value;
    }
    await (0, write_ini_file_1.writeIniFile)(configPath, settings);
}
exports.configSet = configSet;
async function safeReadIniFile(configPath) {
    try {
        return await (0, read_ini_file_1.readIniFile)(configPath);
    }
    catch (err) { // eslint-disable-line @typescript-eslint/no-explicit-any
        if (err.code === 'ENOENT')
            return {};
        throw err;
    }
}
//# sourceMappingURL=configSet.js.map